export class LiveShift {
    constructor() {
        this.mUrl = "";
        this.mTimeLineUrl = "";
        this.mFormat = "m3u8";
        this.mCoverPath = "";
        this.mTitle = "";
    }
    setFormat(g39) {
        this.mFormat = g39;
    }
    getFormat() {
        return this.mFormat;
    }
    getUrl() {
        return this.mUrl;
    }
    setUrl(f39) {
        this.mUrl = f39;
    }
    getCoverPath() {
        return this.mCoverPath;
    }
    setCoverPath(e39) {
        this.mCoverPath = e39;
    }
    getTitle() {
        return this.mTitle;
    }
    setTitle(d39) {
        this.mTitle = d39;
    }
    getTimeLineUrl() {
        return this.mTimeLineUrl;
    }
    setTimeLineUrl(c39) {
        this.mTimeLineUrl = c39;
    }
}
